//reference: http://www.learnopengl.com/#!Lighting/Basic-Lighting
#version 330 core

layout (location = 0) in vec3 position;
layout (location = 1) in vec3 normal;

out vec3 Normal;
out vec3 FragPos;

uniform mat4 model;
uniform mat4 view_proj;

void main() {
	
	gl_Position = view_proj * model * vec4(position, 1.0f);
	FragPos = vec3(model * vec4(position, 1.0f));
	//this is needed so the position of the light gets updated (last part before specular on referenced site)
	Normal = mat3(transpose(inverse(model))) * normal; 
	//Normal = (view_proj * model * vec4(normal,0)).xyz;
	//Normal = normal;
}